Debian Bug report logs - #161991
wrong assumption on char signedness

version graph

Package: lcdproc; Maintainer for lcdproc is Dominique Dumont <dod@debian.org>; Source for lcdproc is src:lcdproc.

Reported by: Gerhard Tonn <GerhardTonn@swol.de>

Date: Mon, 23 Sep 2002 06:18:06 UTC

Severity: important

Tags: fixed-upstream, upstream

Found in version 0.4.3-11

Done: José Luis Tallón <jltallon@adv-solutions.net>

Bug is archived. No further changes may be made.

Forwarded to https://sourceforge.net/tracker/index.php?func=detail&aid=614561&group_id=119&atid=100119

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Noel Koethe <noel@debian.org>, lcdproc@packages.qa.debian.org:
Bug#161991; Package lcdproc. Full text and rfc822 format available.

Acknowledgement sent to Gerhard Tonn <GerhardTonn@swol.de>:
New Bug report received and forwarded. Copy sent to Noel Koethe <noel@debian.org>, lcdproc@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gerhard Tonn <GerhardTonn@swol.de>
To: submit@bugs.debian.org
Subject: wrong assumption on char signedness
Date: Mon, 23 Sep 2002 07:23:02 +0200
Package: lcdproc
Version:  0.4.3-11
Severity: important

Hi,
char is per default unsigned on arm, powerpc and s390. There are several 
warnings, e.g.

CFontz.c:327: warning: comparison is always true due to limited range of data 
type

during build of your package that will cause a runtime error. Please check

http://buildd.debian.org/fetch.php?&pkg=lcdproc&ver=0.4.3-11&arch=s390&stamp=1032657233&file=log&as=raw

for details.

Thanks,
Gerhard



Tags added: upstream Request was from Noel Koethe <noel@koethe.net> to control@bugs.debian.org. Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to https://sourceforge.net/tracker/index.php?func=detail&aid=614561&group_id=119&atid=100119. Request was from Noel Koethe <noel@koethe.net> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-upstream Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to José Luis Tallón <jltallon@adv-solutions.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Gerhard Tonn <GerhardTonn@swol.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #16 received at 161991-done@bugs.debian.org (full text, mbox):

From: José Luis Tallón <jltallon@adv-solutions.net>
To: 161991-done@bugs.debian.org
Subject: Very old bug, fixed upstream
Date: Fri, 16 Mar 2007 19:46:25 +0100
Upstream closed this bug in their tracker.
Closing here accordingly.


    J.L.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Jun 2007 00:25:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:49:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.